Subject: Re: bug#33686: 25.1; desktop-mode restore, issue with frame size

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Dec 2018 18:28:56 +0200

> From: Norman Ramsey <[email-masked]>
> Date: Sun, 09 Dec 2018 10:59:04 -0500
> 
> 
> I'm using (desktop-save-mode 1) to save a session which I then reload,
> but logging in remotely from a different machine with a different
> resolution display. Something stored in the desktop winds up setting
> frame width to 150 characters rather than the 87 characters it was saved
> with.  Height seems unaffected.
> 
> In detail:
> 
>   - Start emacs on machine `homedog` with one monitor, resolution
>     3840x2160. 
>   - Exit emacs, writing .desktop file.
>   - Remote login to `homedog` from machine `jar`, using `ssh -X` to
>     forward the X server connection.  Machine `jar` has one monitor,
>     resolution 1920x1200.  
>   - Start emacs on homedog, but with DISPLAY environment variable set to
>     `localhost:10.0`, which is the forwarded X connection.
> 
> When the dust settles after initialization, the emacs frame seems to be
> about the right height, but it is much wider than it should be.

Do you also have any init files?  If so, please empty them and try
again.  It's important to understand whether the problem is with
desktop-save-mode alone, or some of your other customizations
interfere.